<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Forms, Tables, and Semantics</title>
</head>
<body>
	<!-- div creates a container element used to group HTML elements -->
	<header>
		<h1>HTML Tables and Forms</h1>
	</div>
		<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters can mix up with HTML code).</em></p>
	<main>
		<section>
			<h2>HTML Entities</h2>
				<!-- Defines an HTML Table -->
				<table border=1>
					<!-- Used to group table header content -->
					<thead>
						<tr >
							<!-- Defines a table header element -->
							<th colspan="2">Entity</th>
							<th>Description</th>
						</tr>
					</thead>
					<tbody>
						<!-- Used to group table body content -->
						<tr>
							<!--<td></td> Defines a table data element -->
							<td>&lt;</td>
							<td>lt;</td>
							<td>less than</td>
						</tr>
						<tr>
							<!--<td></td> Defines a table data element -->
							<td>&gt;</td>
							<td>gt;</td>
							<td>more than</td>
						</tr>			
						<tr>
							<td>&#8369;</td>
							<td>#8369;</td>
							<td>peso sign</td>
						</tr>
						<tr>
							<td>&amp;</td>
							<td>amp;</td>
							<td>ampersand</td>
						</tr>
						<tr>
							<td>&quot;</td>
							<td>quot;</td>
							<td>double quotation mark</td>
						</tr>
									<tr>
							<td>&apos;</td>
							<td>apos;</td>
							<td>single quotation mark</td>
						</tr>
									<tr>
							<td>&ntilde;</td>
							<td>ntilde;</td>
							<td>Lower Tilde</td>
						</tr>
									<tr>
							<td>&Ntilde;</td>
							<td>Ntilde;</td>
							<td>Upper Tilde</td>
						</tr>
					</tbody>
					<tfoot>
							<tr>
								<th colspan="3">List of HTML Entities</th>
							</tr>
					</tfoot>
				</table>
		</section>
		<section>
				<h2>HTML Forms</h2>
				<p><em>Input elements that make up a form</em></p>
					<!-- form - creates an HTML form to capture user input -->
					<form action="https://google.com">
						<label for="full_name">Full Name:</label><br>
						 <input required autocomplete type=""name="full_name"id="full_name"><br>
						<br>

						 <label for="birth_date">Birth Date:</label><br>
						 <input type="Date" name="birth_date"id="birth_date" required><br>
						<br>
					     <label for="age">Age:</label><br>
						 <input type="number" name="age" id="age" required min="0" max="120"><br>
						<br>
						<label for="gender">Gender:</label><br>
							<select name="gender"id="gender">
								<option>Male</option>
								<option>Female</option>
							</select><br>
						<br>
							<label>Notes:</label><br>
							<textarea name="notes" rows="5" id="notes" name="notes"></textarea><br>
							<label>New User:</label><br>
							<input type="radio" name="new_user"id="user-type1" value="yes">
							<label for="user-type1">Yes</label><br>	

							<input type="radio" name="new_user"id="user-type2" value="yes">
							<label for="user-type2">No</label> <br>
						<br>
							<label>Role:</label><br>
							<input type="checkbox" name="role1" id="role1"value="developer">
							<label for="role1">Developer</label><br>

							<input type="checkbox" name="role2" id="role1"value="student">
							<label for="role2">Student</label><br>

							<input type="checkbox" name="role3" id="role3"value="manager">
							<label for="role3">Manager</label><br>
						<br>

						<!-- Creates a button will submit the form data -->
						<button type="submit">Submit</button>
						<!-- Creates a button to reset inputs on the form -->
						<input type="reset">
					</form>
		</section>
	</main>
<!-- Defines an HTML Table -->
				<table border=1>
					<!-- Used to group table header content -->
					<thead>
						<tr >
							<!-- Defines a table header element -->
							<th colspan="2">Entity</th>
							<th>Description</th>
						</tr>
					</thead>
					<tbody>
						<!-- Used to group table body content -->
						<tr>
							<!--<td></td> Defines a table data element -->
							<td>&lt;</td>
							<td>lt;</td>
							<td>less than</td>
						</tr>
						<tr>
							<!--<td></td> Defines a table data element -->
							<td>&gt;</td>
							<td>gt;</td>
							<td>more than</td>
						</tr>			
						<tr>
							<td>&#8369;</td>
							<td>#8369;</td>
							<td>peso sign</td>
						</tr>
						<tr>
							<td>&amp;</td>
							<td>amp;</td>
							<td>ampersand</td>
						</tr>
						<tr>
							<td>&quot;</td>
							<td>quot;</td>
							<td>double quotation mark</td>
						</tr>
									<tr>
							<td>&apos;</td>
							<td>apos;</td>
							<td>single quotation mark</td>
						</tr>
									<tr>
							<td>&ntilde;</td>
							<td>ntilde;</td>
							<td>Lower Tilde</td>
						</tr>
									<tr>
							<td>&Ntilde;</td>
							<td>Ntilde;</td>
							<td>Upper Tilde</td>
						</tr>
					</tbody>
					<tfoot>
							<tr>
								<th colspan="3">List of HTML Entities</th>
							</tr>
					</tfoot>
				</table>

	<h2>HTML Forms</h2>
	<p><em>Input elements that make up a form</em></p>
	<!-- form - creates an HTML form to capture user input -->
	<form action="https://google.com">
		<label for="full_name">Full Name:</label><br>
		 <input required autocomplete type=""name="full_name"id="full_name"><br>
<br>

		 <label for="birth_date">Birth Date:</label><br>
		 <input type="Date" name="birth_date"id="birth_date" required><br>
<br>
	     <label for="age">Age:</label><br>
		 <input type="number" name="age" id="age" required min="0" max="120"><br>
<br>
		<label for="gender">Gender:</label><br>
			<select name="gender"id="gender">
				<option>Male</option>
				<option>Female</option>
			</select><br>
<br>
			<label>Notes:</label><br>
			<textarea name="notes" rows="5" id="notes" name="notes"></textarea><br>
			<label>New User:</label><br>
			<input type="radio" name="new_user"id="user-type1" value="yes">
			<label for="user-type1">Yes</label><br>	

			<input type="radio" name="new_user"id="user-type2" value="yes">
			<label for="user-type2">No</label> <br>
<br>
			<label>Role:</label><br>
			<input type="checkbox" name="role1" id="role1"value="developer">
			<label for="role1">Developer</label><br>

			<input type="checkbox" name="role2" id="role1"value="student">
			<label for="role2">Student</label><br>

			<input type="checkbox" name="role3" id="role3"value="manager">
			<label for="role3">Manager</label><br>
<br>

		<!-- Creates a button will submit the form data -->
		<button type="submit">Submit</button>
		<!-- Creates a button to reset inputs on the form -->
		<input type="reset">
	</form>
</body>
</html>